IXPFID(3)

NAME

IxpFid

SYNOPSIS
  #include <ixp.h>

  typedef struct IxpFid IxpFid;
  struct IxpFid {
          char*           uid;    /* The uid of the file opener. */
          void*           aux;    /* Arbitrary pointer, to be used by handlers. */
          uint32_t                fid;    /* The ID number of the fid. */
          IxpQid          qid;    /* The filesystem-unique QID of the file. */
          signed char     omode;  /* The open mode of the file. */
          uint            iounit; /* The maximum size of any IO request. */

          /* Private members */
          ...
  }

DESCRIPTION

Represents an open file for a 9P connection. The same structure persists as long as the file remains open, and is installed in the Ixp9Req(3) structure for any request Fcall which references it. Handlers may use the IauxR member to store any data which must persist for the life of the open file.

SEE ALSO

Ixp9Req(3), IxpQid(3), IxpOMode(3)